Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomID

Returns ID number of the entity in the geometric (CAD) model

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomID(DM dm, PetscGeom body, PetscGeom topoObj, PetscInt *id) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom body object containing the lower level entity the ID number is being requested.

- topoObj - PetscGeom SHELL, FACE, LOOP, EDGE, or NODE object for which ID number is being requested.

## Output Parameter

- id - ID number of the entity

## See Also

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages